<template>
  <div class="bg-black-10 pb-30px lg:pb-100px">
    <div
      class="
        w-4/5
        mx-auto
        container
        grid
        gap-x-19px
        grid-cols-1
        text-center
        xl:grid-cols-5
        lg:grid-cols-3
        md:grid-cols-2
      "
    >
      <div
        class="px-16px py-32px xl:h-560px"
        v-for="(p, index) in packages"
        :key="index"
      >
        <div class="text-lg">
          {{ p.name === "Custom" ? "Yearly packages" : "Package" }}
        </div>

        <div class="flex justify-center py-8px">
          <div
            class="px-8px py-8px text-xl text-green-400 bg-blue-500"
            :class="{
              'w-52px': !p.is_custom,
              'rounded-full': !p.is_custom,
              'px-40px': p.is_custom,
              'rounded-1/2': p.is_custom,
            }"
          >
            {{ p.name }}
          </div>
        </div>

        <div class="text-sm">
          Avg per unit {{ p.price_per_unit.toLocaleString() }} (THB)
        </div>

        <hr class="text-blue-100 mt-23px mb-18px" />

        <div
          class="flex flex-col items-center h-200px"
          :class="{
            'text-left': !p.is_custom,
            'justify-center': p.is_custom,
          }"
        >
          <div v-if="p.is_custom">{{ p.custom_feature }}</div>
          <template v-else>
            <div class="flex justify-center items-center">
              <div class="text-3xl">{{ p.price.toLocaleString() }}</div>
              <div class="pl-8px text-base">(THB)</div>
            </div>
            <div class="min-w-max py-8px">
              <li v-for="(feature, index) in p.features" :key="index">
                {{ feature }}
              </li>
            </div>
          </template>
        </div>

        <!-- <nuxt-link to="/contact" v-if="p.is_custom">
          <button
            class="
              p-16px
              border
              w-100px
              my-18px
              md:w-152px
              rounded-500px
              border-black-400
              focus:outline-none
            "
          >
            Contact
          </button>
        </nuxt-link> -->
        <button
          class="
            p-16px
            border
            w-100px
            my-18px
            md:w-152px
            rounded-500px
            border-black-400
            focus:outline-none
          "
          @click="choosePackage(p)"
        >
          Choose
        </button>
      </div>
    </div>

    <el-dialog
      width="60%"
      :visible.sync="package_dialog_visible"
      @closed="resetField"
      class="dialog"
    >
      <span slot="title" class="text-3xl font-600">
        Package {{ current_package.name }}
      </span>
      <span>
        <form
          class="
            grid grid-cols-1
            text-sm
            lg:grid-cols-2
            gap-24px
            text-black-300
          "
        >
          <div class="flex flex-col">
            <label class="pb-8px">First name</label>
            <input
              type="text"
              placeholder="Input first name"
              v-model="purchase_package_form.first_name"
            />
          </div>
          <div class="flex flex-col">
            <label class="pb-8px">Last name</label>
            <input
              class="px-10px py-16px rounded-8px input"
              type="text"
              placeholder="Input last name"
              v-model="purchase_package_form.last_name"
            />
          </div>
          <div class="flex flex-col">
            <label class="pb-8px">Email</label>
            <input
              class="px-10px py-16px rounded-8px"
              type="text"
              placeholder="Input email"
              v-model="purchase_package_form.email"
            />
          </div>
          <div class="flex flex-col">
            <label class="pb-8px">Phone Number</label>
            <input
              class="px-10px py-16px rounded-8px"
              type="text"
              placeholder="Input phone number"
              v-model="purchase_package_form.phone"
            />
          </div>
          <div class="flex flex-col lg:col-span-2">
            <label class="pb-8px">Company name</label>
            <input
              class="px-10px py-16px rounded-8px"
              type="text"
              placeholder="Input company name"
              v-model="purchase_package_form.company_name"
            />
          </div>
          <div class="flex flex-col lg:col-span-2">
            <label class="pb-8px" for="lname">Additional details</label>
            <textarea
              class="px-10px py-16px rounded-8px"
              rows="3"
              placeholder="Additional details"
              v-model="purchase_package_form.details"
            />
          </div>
        </form>
      </span>
      <span slot="footer" class="dialog-footer">
        <button
          class="
            p-16px
            shadow-lg
            sm:w-218px
            text-white
            bg-blue-300
            rounded-500px
            lg:col-span-2
            justify-self-end
            focus:outline-none
          "
          @click="submit"
        >
          Send order
        </button>
      </span>
    </el-dialog>

    <el-dialog width="60%" :visible.sync="thank_you_dialog_visible">
      <span slot="title" class="text-3xl font-600">Thank you!</span>
      <span>We contact you back 1-2 days</span>
      <span slot="footer" class="dialog-footer">
        <button
          class="
            p-16px
            shadow-lg
            sm:w-218px
            text-white
            bg-blue-300
            rounded-500px
            lg:col-span-2
            justify-self-end
            focus:outline-none
          "
          @click="thank_you_dialog_visible = false"
        >
          OK
        </button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      current_package: {},
      package_dialog_visible: false,
      thank_you_dialog_visible: false,
      purchase_package_form: {
        email: "",
        phone: "",
        details: "",
        last_name: "",
        first_name: "",
        company_name: "",
      },
      packages: [
        {
          name: "S",
          price_per_unit: 65,
          price: 65000,
          features: ["Dashboard", "Survay Result"],
          is_custom: false,
        },
        {
          name: "M",
          price_per_unit: 65,
          price: 65000,
          features: ["Dashboard", "Survay Result"],
          is_custom: false,
        },
        {
          name: "L",
          price_per_unit: 60,
          price: 300000,
          features: ["Dashboard", "Survay Result", "Re-targeting"],
          is_custom: false,
        },
        {
          name: "XL",
          price_per_unit: 55,
          price: 550000,
          features: [
            "Dashboard",
            "Survay Result",
            "Re-targeting",
            "Free Advertising",
          ],
          is_custom: false,
        },
        {
          name: "Custom",
          price_per_unit: "/",
          custom_feature: "You can manage package by yourself",
          is_custom: true,
        },
      ],
    }
  },

  methods: {
    choosePackage(p) {
      this.current_package = p
      this.package_dialog_visible = true
    },
    submit() {
      console.log("this.first_name => ", this.purchase_package_form.first_name)
      console.log("this.last_name => ", this.purchase_package_form.last_name)
      console.log("this.email => ", this.purchase_package_form.email)
      console.log("this.phone => ", this.purchase_package_form.phone)
      console.log(
        "this.company_name => ",
        this.purchase_package_form.company_name
      )
      console.log("this.details => ", this.purchase_package_form.details)
      this.package_dialog_visible = false
      this.thank_you_dialog_visible = true
      this.resetField()
    },
    resetField() {
      this.purchase_package_form = {
        email: "",
        phone: "",
        details: "",
        last_name: "",
        first_name: "",
        company_name: "",
      }
    },
  },
}
</script>

<style scoped>
.dialog >>> .el-dialog {
  background-color: #f8f8f8;
}
</style>
